Simple MP3 Tag Editor

Ashkon MP3 tag editor is a useful tool to edit MP3 files tag information. You may change or correct title of the song, artists name, album, release year, genre or add custom comments to the file. Ashkon MP3 tag editor supports drag and drop interface and ID3 version 1 and version two tag formats.

How to use Ashkon MP3 Tag Editor

1) Drag and drop MP3 files from Windows Explorer into the list area of the program. Alternatively use "Open File" button to select files that you would like to edit. To remove files from the list you may highlight files and click "Delete" button on your keyboard.

2) Highlight any file in the list. In the right panel tag data will be displayed if any is present. You may edit the data or add new text e.g.

3) Click "Save File" button on the toolbar or select "File" -> "Save" menu item to save the corrected tag data.

Online Information

Ashkon MP3 Tag Editor - online information is available at http://www.ashkonsoftware.com/mp3-tag-editor.html
You may send your comments and suggestions at support@ashkonsoftware.com

Copyright © Ashkon Software LLC, 2006